org.apache.felix.ipojo.api.composite

## Class ExportedService

- java.lang.Object
- - org.apache.felix.ipojo.api.composite.ExportedService

All Implemented Interfaces:
  HandlerConfiguration

    public class ExportedService
    extends java.lang.Object
    implements HandlerConfiguration

Allows defining an exported service. A service export is the publication of service from the composite to the parent composite or global registry. The service export relies on a service dependency inside the composite. Matching services will be exported.

Author:
  Felix Project Team

### Constructor Summary

Constructors
Constructor and Description
`ExportedService()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.felix.ipojo.metadata.Element` `getElement()` Gets the exported service metadata.
`ExportedService` `setAggregate(boolean agg)` Sets the dependency cardinality.
`ExportedService` `setBindingPolicy(int policy)` Sets the dependency binding policy.
`ExportedService` `setComparator(java.lang.String cmp)` Sets the dependency comparator.
`ExportedService` `setFilter(java.lang.String filter)` Sets the dependency filter.
`ExportedService` `setOptional(boolean opt)` Sets the dependency optionality.
`ExportedService` `setSpecification(java.lang.String spec)` Sets the required service specification.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExportedService

    public ExportedService()

### Method Detail

#### getElement

    public org.apache.felix.ipojo.metadata.Element getElement()

Gets the exported service metadata.

Specified by:
  `getElement` in interface `HandlerConfiguration`
Returns:
  the 'provides' element describing the current dependency.

#### setSpecification

    public ExportedService setSpecification(java.lang.String spec)

Sets the required service specification.

Parameters:
  `spec` - the specification
Returns:
  the current exported service.

#### setFilter

    public ExportedService setFilter(java.lang.String filter)

Sets the dependency filter.

Parameters:
  `filter` - the LDAP filter
Returns:
  the current exported service

#### setOptional

    public ExportedService setOptional(boolean opt)

Sets the dependency optionality.

Parameters:
  `opt` - `true` to set the dependency to optional.
Returns:
  the current exported service.

#### setAggregate

    public ExportedService setAggregate(boolean agg)

Sets the dependency cardinality.

Parameters:
  `agg` - `true` to set the dependency to aggregate.
Returns:
  the current exported service.

#### setBindingPolicy

    public ExportedService setBindingPolicy(int policy)

Sets the dependency binding policy.

Parameters:
  `policy` - the binding policy
Returns:
  the current exported service

#### setComparator

    public ExportedService setComparator(java.lang.String cmp)

Sets the dependency comparator.

Parameters:
  `cmp` - the comparator class name
Returns:
  the current exported service